AI Tools
Generate AI detailed project description
POST
/
gen-ai
/
detailed-project-description
Generate AI detailed project description
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/gen-ai/detailed-project-description \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"projectInfo": "<string>",
"additionalInfo": "<string>"
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/gen-ai/detailed-project-description"
payload = {
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"projectInfo": "<string>",
"additionalInfo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerName: '<string>',
email: '<string>',
phone: '<string>',
address: '<string>',
projectInfo: '<string>',
additionalInfo: '<string>'
})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/gen-ai/detailed-project-description', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"detailedProjectDescription": "<string>",
"success": true
}
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Body
application/json
Previous
List all provinces/statesReturns all provinces and states with their codes and country.
Useful for populating location dropdowns and filtering cities.
Next
⌘I
Generate AI detailed project description

